Bug 123321 - Missing embedstring static library
Summary: Missing embedstring static library
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-17 02:02 UTC by Braden McDaniel
Modified: 2014-05-28 09:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 21:36:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Braden McDaniel 2004-05-17 02:02:39 UTC
Description of problem:
The nsEmbedString.h header is included; however, the corresponding
static library (libembedstring_s.a) is missing.

Version-Release number of selected component (if applicable):
1.6-8

Comment 1 Matthew Miller 2005-04-26 16:14:51 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 2 Braden McDaniel 2006-07-12 02:11:32 UTC
This issue is still present in FC5.

Comment 3 Matthew Miller 2006-07-12 02:17:49 UTC
Thanks very much for rechecking this.

Comment 4 Christopher Aillon 2006-10-29 18:22:24 UTC
We don't ship static libraries intentionally.

Comment 5 Braden McDaniel 2006-10-29 21:26:08 UTC
The point is that there is a header installed for which there is no
corresponding library installed. AFAIK, this library is only available as a
static library. Either omitting the library is a mistake, or installing the
library's corresponding headers is a mistake.


Comment 6 Christopher Aillon 2006-10-29 21:36:49 UTC
The header is part of the SDK, so it stays.  If you do a make; make install you
get it when --enable-static is not passed to configure.  If you think this
should not be installed in a standard make install, then this probably should
get filed upstream, but this is not a bug in Fedora's packages.

Comment 7 Braden McDaniel 2006-10-29 23:15:17 UTC
Don't you also get libembedstring_s.a when --enable-static is not passed to
configure? The "we don't ship static libraries" policy doesn't make sense when a
static library is all that's installed.


Comment 8 Christopher Aillon 2006-10-29 23:35:37 UTC
No.  It's not installed, and I don't remove it manually.


Note You need to log in before you can comment on or make changes to this bug.